- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAbstractProxyModel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qabstractproxymodel.h.

`#include <qabstractproxymodel.h>`

Inheritance diagram for QAbstractProxyModel:
[legend]

List of all members.

## Public Member Functions
| QAbstractProxyModel (QObject *parent=0)
| ~QAbstractProxyModel ()
virtual void | setSourceModel (QAbstractItemModel *sourceModel)
QAbstractItemModel * | sourceModel () const
virtual QModelIndex | mapToSource (const QModelIndex &proxyIndex) const =0
virtual QModelIndex | mapFromSource (const QModelIndex &sourceIndex) const =0
virtual QItemSelection | mapSelectionToSource (const QItemSelection &selection) const
virtual QItemSelection | mapSelectionFromSource (const QItemSelection &selection) const
bool | submit ()
void | revert ()
QVariant | data (const QModelIndex &proxyIndex, int role=Qt::DisplayRole) const
QVariant | headerData (int section, Qt::Orientation orientation, int role) const
QMap< int, QVariant > | itemData (const QModelIndex &index) const
Qt::ItemFlags | flags (const QModelIndex &index) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
bool | setHeaderData (int section, Qt::Orientation orientation, const QVariant &value, int role=Qt::EditRole)
## Protected Member Functions
| QAbstractProxyModel (QAbstractProxyModelPrivate &, QObject *parent)

## Constructor & Destructor Documentation

QAbstractProxyModel | ( | QObject * | parent = `0` | ) |

~QAbstractProxyModel | ( |  | ) |

QAbstractProxyModel | ( | QAbstractProxyModelPrivate & | ,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

virtual void setSourceModel | ( | QAbstractItemModel * | sourceModel | ) | `[virtual]`

Search for all occurrences

Reimplemented in QSortFilterProxyModel.

QAbstractItemModel* sourceModel | ( |  | ) | const

Search for all occurrences

virtual QModelIndex mapToSource | ( | const QModelIndex & | proxyIndex | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QSortFilterProxyModel.

virtual QModelIndex mapFromSource | ( | const QModelIndex & | sourceIndex | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QSortFilterProxyModel.

virtual QItemSelection mapSelectionToSource | ( | const QItemSelection & | selection | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QSortFilterProxyModel.

virtual QItemSelection mapSelectionFromSource | ( | const QItemSelection & | selection | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QSortFilterProxyModel.

bool submit | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

void revert | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QVariant data | ( | const QModelIndex & | proxyIndex,
|  | int | role = `Qt::DisplayRole`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

Reimplemented in QSortFilterProxyModel.

QVariant headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Reimplemented in QSortFilterProxyModel.

QMap<int, QVariant> itemData | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Qt::ItemFlags flags | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Reimplemented in QSortFilterProxyModel.

bool setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Reimplemented in QSortFilterProxyModel.

bool setHeaderData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Reimplemented in QSortFilterProxyModel.

The documentation for this class was generated from the following file:

- QtGui/qabstractproxymodel.h

QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel
QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel QAbstractProxyModel